Page MenuHomePhabricator

Show a warning when users try to create an account without an email address
Closed, ResolvedPublic1 Story Points

Description

Problem

Users create accounts in the app without providing the email address (since it is marked optional), without realizing that it is impossible to recover the account without supplying an email.

Proposed
  1. Provide some helper text under the email input on the form

  1. Show a warning dialog if user proceeds without an email entered


Selecting to 'Add a password' will return the user to the create account form focused on the email input

Related tasks

T159837: Introduce confirmation step if user tries to register without email
T171200: Add a configuration option to make email mandatory during account creation
T151118: Require users to have an email address linked to their account

Event Timeline

RHo created this task.May 10 2018, 6:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 10 2018, 6:43 PM
Sharvaniharan set the point value for this task to 1.May 15 2018, 4:12 PM
RHo updated the task description. (Show Details)May 15 2018, 4:21 PM
RHo added subscribers: alexhollender, cmadeo, Nirzar.

+ @cmadeo @alexhollender @Nirzar – should this be something we introduce across all platforms?

@RHo sounds good to me, I see this fairly often on OTRS.

Nirzar added a subscriber: Tgr.May 15 2018, 4:55 PM

@Tgr would like to get your thoughts on doing this on web

Tgr added a comment.May 15 2018, 5:32 PM

Seems fairly annoying to me to block the user's progress with a modal warning about an optional field. The overwhelming majority of accounts never make a single edit, for those users this is probably just a waste of their time. Something less obtrusive would be better IMO - maybe an Echo notification, maybe at some activity thresholds (fifth edit, or being active for more than a week, although not sure how easy it is to get the latter).

RHo added a subscriber: TheDJ.May 16 2018, 10:48 AM

hi @Tgr - this is not so much about making sure users who edit have an email, but for users esp. on apps that create an account to enable syncing reading lists who are not aware that not providing an email address will mean they cannot recover their email.
In terms of the suggestion of having Echo or some other notifications (as is discussed in T151118), this doesn't work for mobile apps as we do not show Echo notifications.
Another thing to note is that for mobile-only users, it's actually incredibly difficult to add an email address after initial registration, since there is no direct navigation from the mobile web to the https://en.wikipedia.org/wiki/Special:Preferences page.

Finally, worth mentioning that T159837 has a similar proposal to show an intermediate step was proposed by @TheDJ last year.

TheDJ added a comment.EditedMay 16 2018, 2:52 PM

I personally think it would be perfectly reasonable. However.... it might very well be that a set of the community would NOT find it perfectly reasonable and interpret it as an evil plan by the evil foundation to get everyone to register their email address. ;)

Prompting at a later time also seems like a good strategy, but we should not forget that prompts/notifications often arrive at a time when people are doing something else. As such, people are likely to dismiss them, because they are 'busy'. And then the question becomes: if dismissed, do you repeat them ? Repetition is often considered incredibly annoying by people.

For apps, I personally would put an additional intermediate screen instead of adding the email address to the first screen. 2nd screen gives opportunity to register the email with a full explanation and a 'smaller' opportunity to skip. The mail adres is just a preference, so easy enough to set it after initial registration.

The benefit to this, is that people at every step will have the feeling that they are completing a task and only get the information that is relevant to completing that step. As long as it's 2 screens, that's just fine, still way fewer screens than most commercial entities will throw in your face.
You could call the 2nd screen "Account recovery" or something, which sounds important enough that people might actually read it ;)

Hmm.. wait. it's not just a preference... Do we even have a separate api for this at all ??

LGoto triaged this task as Normal priority.May 21 2018, 4:20 PM
LGoto moved this task from Needs Triage to UX Debt Backlog on the Wikipedia-Android-App-Backlog board.
Vvjjkkii renamed this task from Show a warning when users try to create an account without an email address to r6caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed a subscriber: Aklapper.
Ankry renamed this task from r6caaaaaaa to Show a warning when users try to create an account without an email address.Jul 1 2018, 5:41 PM
Ankry lowered the priority of this task from High to Normal.
Ankry updated the task description. (Show Details)
Ankry set the point value for this task to 1.
Ankry added a subscriber: Aklapper.

Change 453199 had a related patch set uploaded (by Sharvaniharan; owner: Sharvaniharan):
[apps/android/wikipedia@master] Show a warning when users try to create an account without an email address

https://gerrit.wikimedia.org/r/453199

Change 453199 merged by jenkins-bot:
[apps/android/wikipedia@master] Show a warning when users try to create an account without an email address

https://gerrit.wikimedia.org/r/453199

TheDJ added a comment.Oct 25 2018, 4:19 PM

Note that I now have a patch for the T159837: Introduce confirmation step if user tries to register without email version of this (adding this step to both desktop and api account creations. Feedback welcome.

@TheDJ awesome, is there somewhere I can check it out?

Dbrant closed this task as Resolved.Nov 1 2018, 5:21 PM